/*
  Warnings:

  - You are about to drop the column `billId` on the `Device` table. All the data in the column will be lost.
  - You are about to drop the column `name` on the `Payment` table. All the data in the column will be lost.
  - Added the required column `numberOfMonths` to the `Payment` table without a default value. This is not possible if the table is not empty.

*/
-- DropForeignKey
ALTER TABLE "Device" DROP CONSTRAINT "Device_billId_fkey";

-- AlterTable
ALTER TABLE "Device" DROP COLUMN "billId",
ADD COLUMN     "expiryDate" TIMESTAMP(3),
ADD COLUMN     "paymentId" TEXT;

-- AlterTable
ALTER TABLE "Payment" DROP COLUMN "name",
ADD COLUMN     "numberOfMonths" INTEGER NOT NULL,
ALTER COLUMN "amount" SET DATA TYPE DOUBLE PRECISION;

-- AddForeignKey
ALTER TABLE "Device" ADD CONSTRAINT "Device_paymentId_fkey" FOREIGN KEY ("paymentId") REFERENCES "Payment"("id") ON DELETE SET NULL ON UPDATE CASCADE;
