import LoginForm from "@/components/auth/login-form";
import Image from "next/image";

export default async function LoginPage() {
	return (
		<div className="dark:bg-black w-full h-screen flex items-center justify-center font-sans">
			<div className="flex flex-col items-center justify-center w-full h-full ">
				<Image alt="Sar Link Logo" src="/logo.png" width={100} height={100} />
				<div className="mt-4 flex flex-col items-center justify-center">
					<h4 className="font-bold text-xl text-gray-600">SAR Link Portal</h4>
					<p className="text-gray-500">
						Pay for your devices and track your bills.
					</p>
				</div>
				<LoginForm />
			</div>
		</div>
	);
}
